82 
<kantoo-frame>

  <!-- Vanilla frame -->

  <a>1</a>

  <b>2</b>

</kantoo-frame>


61 
<a>

  <!-- Singleton frame -->

  <!-- (use <a>) -->1

</a>


80 
<kantoo-frame>

  <!-- Conjunction -->

  <a>1</a>

  <a>2</a>

</kantoo-frame>


97 
<kantoo-frame>

  <!-- Disjunction -->

  <a>1</a>

  <a kantoo-type="or">2</a>

</kantoo-frame>


126 
<kantoo-frame>

  <a>1</a>

  <a kantoo-type="or">2</a>

  <a>3</a>

  <a kantoo-type="or">4</a>

  <a>5</a>

</kantoo-frame>


174 
<kantoo-frame>

  <!-- Slots + Conjunctions & Disjunctions -->

  <kantoo-slot>
    <a>1</a>
  </kantoo-slot>

  <kantoo-slot>
    <b>2</b>
  </kantoo-slot>

</kantoo-frame>


85 
<kantoo-frame b="2" c="((d 3))">

  <!-- Attributes -->

  <a>1</a>

</kantoo-frame>


82 
<kantoo-frame b="2" c="((d 3))">

  <!-- Single & attribute -->1

</kantoo-frame>


51 
<kantoo-frame b="2">1

  <c>3</c>

</kantoo-frame>


74 
<kantoo-frame>

  <!-- Top level -->

  <a/>

  <b>-</b>

</kantoo-frame>


5 
<a/>


168 
<odd>

  <!-- Odd chars -->

  <!-- (last one really isn't odd to XML) -->

  <a>1&lt;2&gt;3</a>

  <b>1&amp;2;3</b>

  <c>1'2</c>

  <d>1\"2</d>

  <e>1*2</e>

</odd>


